package de.mcs.tools.sps.emulator.resources;

import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

import de.mcs.tools.sps.emulator.model.CommandModel.COMMAND;
import de.mcs.tools.sps.emulator.model.WebSessionModel;

@Path("/emulator")
@Produces(MediaType.APPLICATION_JSON)
public class EmulatorResource {

  @GET
  public WebSessionModel newSession() {
    return new WebSessionModel();
  }

  @POST
  public WebSessionModel getSession(WebSessionModel model) {
    model.getProgram().rebuildHash();
    COMMAND actualCommand = model.getCommand().getActualCommand();
    model.getCommand().evaluateAvailableCommands(actualCommand);
    return model;
  }
}
